PHTML::FormField Class Reference

`#include <html.h>`

Inheritance diagram for PHTML::FormField:

## Protected Member Functions

| FormField (const char *nam, const char *attr, ElementInSet elmt, OptionalCRLF opt, DisableCodes disabled, const char *fname)
virtual | ~FormField ()
virtual void | AddAttr (PHTML &html) const
Protected Member Functions inherited from PHTML::FieldElement
| FieldElement (const char *nam, const char *attr, ElementInSet elmt, OptionalCRLF opt, DisableCodes disabled)
virtual | ~FieldElement ()
Protected Member Functions inherited from PHTML::Element
| Element (const char *nam, const char *att, ElementInSet elmt, ElementInSet req, OptionalCRLF opt)
virtual void | Output (PHTML &html) const

## Additional Inherited Members

Public Member Functions inherited from PHTML::Element
virtual | ~Element ()
Protected Types inherited from PHTML::Element
enum | OptionalCRLF { NoCRLF, OpenCRLF, CloseCRLF, BothCRLF }

## Constructor & Destructor Documentation

PHTML::FormField::FormField | ( | const char * | nam,
|  | const char * | attr,
|  | ElementInSet | elmt,
|  | OptionalCRLF | opt,
|  | DisableCodes | disabled,
|  | const char * | fname
| ) |  |

protected

virtual PHTML::FormField::~FormField | ( |  | ) |

inline protected virtual

## Member Function Documentation

virtual void PHTML::FormField::AddAttr | ( | PHTML & | html | ) | const

protected virtual

Reimplemented from PHTML::FieldElement.

Reimplemented in PHTML::ResetButton, PHTML::InputImage, PHTML::InputFile, PHTML::InputNumber, PHTML::RadioButton, PHTML::InputText, PHTML::HiddenField, PHTML::InputField, and PHTML::TextArea.

The documentation for this class was generated from the following file:

- html.h